Skip to main content
`Ctrl`+`K`

# PCGASMDestroySubdomains

Destroys the index sets created with `PCGASMCreateSubdomains()` or `PCGASMCreateSubdomains2D()`. Should be called after setting subdomains with `PCGASMSetSubdomains()`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGASMDestroySubdomains(PetscInt n, IS *iis[], IS *ois[])

Collective

## Input Parameters

- n - the number of index sets

- iis - the array of inner subdomains

- ois - the array of outer subdomains, can be `NULL`

## Note

This is a convenience subroutine that walks each list, destroys each `IS` on the list, and then frees the list. At the end the list pointers are set to `NULL`.

## Fortran Note

The arrays are not freed, only the `IS` within the arrays are destroyed

## See Also

KSP: Linear System Solvers, `PCGASM`, `PCGASMCreateSubdomains()`, `PCGASMSetSubdomains()`

## Level

intermediate

## Location

src/ksp/pc/impls/gasm/gasm.c

## Examples

src/ksp/ksp/tutorials/ex62.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages